org.springframework.core.serializer

## Interface Serializer<T>

- All Known Implementing Classes:
    DefaultSerializer

      public interface Serializer<T>

  A strategy interface for streaming an object to an OutputStream.
  Since:
    3.0.5
  Author:
    Gary Russell, Mark Fisher

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(T object, OutputStream outputStream)` Write an object of type T to the given OutputStream.

- - ### Method Detail

    - #### serialize

          void serialize(T object,
                       OutputStream outputStream)
                         throws IOException

      Write an object of type T to the given OutputStream.

      Note: Implementations should not close the given OutputStream (or any decorators of that OutputStream) but rather leave this up to the caller.

      Parameters:
        `object` - the object to serialize
        `outputStream` - the output stream
      Throws:
        `IOException` - in case of errors writing to the stream